#!/bin/bash

# ARGS:
# Optional		 options.addOption("conf", true, "specify configuration file")
# Optional		 options.addOption("uid", true, "unique identifier for the query")
# Mandatory		 options.addOption("g", true, "grammar file to analyse")
# Mandatory		 options.addOption("s", true, "sequence file to analyse")
# Optional		 options.addOption("max", true, "maximum returned solutions")
#

# Installation directory

export REALDIR="$(readlink -f $0)"
export LOGOL_HOME="$(dirname "$REALDIR" )"

export PATH=$PATH:$LOGOL_HOME/prolog

echo "calling logol with parameters "$*

if [ -z "$LOGOL_LOG4J" ]; then
  LOGOL_LOG4J=$LOGOL_HOME/log4j.properties
fi

if [ -z "$JAVA_OPTS" ]; then
  JAVA_OPTS=" -Xms512m -Xmx4096m"
fi

java -Xms512m -Xmx1024m  -Dlogol.install=$LOGOL_HOME -Dlogol.conf=$LOGOL_HOME/prolog/logol.properties -Dlog4j.configuration=file://$LOGOL_LOG4J -classpath  $LOGOL_HOME/lib/biojava.jar:$LOGOL_HOME/lib/bytecode:$LOGOL_HOME/lib/mail.jar:$LOGOL_HOME/lib/activation.jar:$LOGOL_HOME/lib/xalan.jar:$LOGOL_HOME/lib/xercesImpl.jar:$LOGOL_HOME/lib/xml-apis.jar:$LOGOL_HOME/lib/serializer.jar:$LOGOL_HOME/lib/commons-configuration.jar:$LOGOL_HOME/lib/LogolExec.jar:$LOGOL_HOME/lib/commons-cli.jar:$LOGOL_HOME/lib/commons-collections.jar:$LOGOL_HOME/lib/commons-lang.jar:$LOGOL_HOME/lib/commons-logging.jar:$LOGOL_HOME/lib/log4j-1.2.jar:$LOGOL_HOME/lib/antlr.jar  org.irisa.genouest.logol.Logol  $*

